format_version: '1.0'


repository_url: https://github.com/Rdatatable/data.table
issue_url: https://github.com/Rdatatable/data.table/issues/1660


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 6dc24b0
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 6538321bc09a210a977c4971d32df8fa66e48536
    - input_file: 'b-partial-2.diff'
      commit_sha1: a8fac4ed114605a4bcbd9a57c6f593f306abd46a
    - input_file: 'b-partial-3.diff'
      commit_sha1: 644a710ed871ea9937fdfe490d0fe26c86588c2c
    - input_file: 'b-partial-4.diff'
      commit_sha1: d0e63f8aea4b478b6c19bdee198dd859ba711cc8
    - input_file: 'b-partial-5.diff'
      commit_sha1: 6c0686205f1abcf708d15cfcb852df0464c8ed6a
    - input_file: 'b-partial-6.diff'
      commit_sha1: 92d44d8ab32cb36029f74e71aba05449cee378b1
    - input_file: 'b-partial-7.diff'
      commit_sha1: 0519dd1e0a012ecc047a1720c73d19be259d95bd
    - input_file: 'b-partial-8.diff'
      commit_sha1: e2647b8cc41e55b5592a75dd3ec594258e37f1e0
    - input_file: 'b-partial-9.diff'
      commit_sha1: 79703dabda02fe38e6b37579dd3ed3e790927fb9

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: df4bf33e0c599e6f3da7d9a4b2c579b8f439f76c

options:
  language: C
